Library Version 18.1.40

close_all_db_envs
Prev | Chapter 1. Dbstl Global Public Functions | Next

## close_all_db_envs

### Function Details

     void close_all_db_envs()

Close all open database environment handles regardless of reference count.

You can't use the container after you called close_db and before setting another valid database handle to the container via db_container::set_db_handle() function.

#### See Also

close_db_env(DbEnv *) ;

### Group: Functions to close database/environments.

Normally you don't have to close any database or environment handles, they will be closed automatically.

Though you still have the following API to close them.

### Class

dbstl_global_functions

Prev | Up | Next
close_db_env | Home | begin_txn